/*
 * Copyright (c) 2016, the Dart project authors.  Please see the AUTHORS file
 * for details. All rights reserved. Use of this source code is governed by a
 * BSD-style license that can be found in the LICENSE file.
 */
/**
 * @assertion A class may be defned as a mixin application.
 *
 * classDefinition:
 *   metadata abstract? class mixinApplicationClass
 * ;
 * mixinClassApplication:
 *   identifer typeParameters? `=' mixinApplication `;'
 *
 * mixinApplication:
 *   type mixins interfaces?
 * ;
 *
 * A mixin application of the form S with M; defines a class C with superclass
 * S.
 * A mixin application of the form S with M1,...,Mk; defines a class C whose
 * superclass is the application of the mixin composition Mk−1∗...∗M1 to S.
 * In both cases above, C declares the same instance members as M (respec-
 * tively, Mk).
 * @description Test that mixin can be derived from a class whose superclass is
 * not an Object and has all of its setters
 * @author sgrekhov@unipro.ru
 */
import '../../../Utils/expect.dart';

class S {
  void set s1(val) {}
}

class A extends S {
  void set s2(val) {}
}

class M extends S {
  void set s3(val) {}
}

class C extends A with M {
}

main() {
  C c = new C();
  c.s1 = 1;
  c.s2 = 2;
  c.s3 = 3;
}
